Cyberduck Mountain Duck CLI

#5699 closed defect (fixed)

IPv6 support not working

Reported by: Shahamitj Owned by:
Priority: normal Milestone: 4.1
Component: core Version: 4.0b9
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

I'm trying to connect to a server using SFTP that only has an IPv6 address. Both my computer and the server has an IPv6 address - works in WinSCP. This works fine in the Mac version (10.6.6), but does not work in the Windows version. It will tell me that it's mounting and then die out.

I can't toggle the log viewer. This is on a Windows 7 x64 Ultimate machine.

Change History (7)

comment:1 Changed on Feb 11, 2011 at 6:45:22 AM by dkocher

  • Milestone set to 4.0
  • Summary changed from IPv6 - Windows to IPv6 support not working

comment:2 Changed on Feb 28, 2011 at 10:26:28 AM by yla

  • Milestone changed from 4.0 to 4.1
  • Severity changed from blocker to normal

Will be available as soon as the new IKVM version will be released. Refer to http://weblog.ikvm.net/CommentView.aspx?guid=1986f244-dcc8-4a49-a4ae-a1454525473a

comment:3 follow-ups: Changed on Feb 28, 2011 at 7:17:48 PM by derekmorr

IPv6 also appears broken on Mac OS X. Any word on how to enable ?

comment:4 in reply to: ↑ 3 Changed on Mar 1, 2011 at 10:19:30 AM by dkocher

Replying to derekmorr:

IPv6 also appears broken on Mac OS X. Any word on how to enable ?

If both a IPv4 and IPv6 record are found in the DNS, we prefer connecting to IPv4 by default. Refer to Prefer IPv6 adresses of DNS lookups.

comment:5 in reply to: ↑ 3 Changed on Mar 1, 2011 at 1:55:43 PM by dkocher

Replying to derekmorr:

IPv6 also appears broken on Mac OS X. Any word on how to enable ?

Actually we have fixed an issue recently reported in #2539 that most probably also affects you. Please update to the latest snapshot build.

comment:6 Changed on Mar 26, 2011 at 6:38:27 PM by dkocher

  • Milestone changed from 4.1 to 4.0.3
  • Resolution set to fixed
  • Status changed from new to closed

In r8612.

comment:7 Changed on Jun 2, 2011 at 3:37:46 PM by dkocher

  • Milestone changed from 4.0.3 to 4.1

Milestone 4.0.3 deleted

Note: See TracTickets for help on using tickets.
swiss made software